package com.ss.android.ugc.aweme.di;

import X.C0755KGc;
import X.KQA;
import X.M12;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.bullet.api.IBulletService;
import com.ss.android.ugc.aweme.bullet.impl.BulletService;

public class BulletServiceImpl implements IBulletService {
    public IBulletService LIZ;

    static {
        Covode.recordClassIndex(63989);
    }

    public final KQA LIZ() {
        return this.LIZ.LIZ();
    }

    public final void LIZIZ() {
        this.LIZ.LIZIZ();
    }

    public BulletServiceImpl() {
        BulletService bulletService = new BulletService();
        this.LIZ = bulletService;
        M12.LIZ((Object) bulletService);
    }

    public final void LIZIZ(Context context) {
        this.LIZ.LIZIZ(context);
    }

    public final View LIZ(Context context) {
        return this.LIZ.LIZ(context);
    }

    public final String LIZ(String str) {
        return this.LIZ.LIZ(str);
    }

    public final void LIZ(Class<?> cls) {
        this.LIZ.LIZ(cls);
    }

    public final boolean LIZIZ(Context context, String str) {
        return this.LIZ.LIZIZ(context, str);
    }

    public final void LIZ(Context context, String str) {
        this.LIZ.LIZ(context, str);
    }

    public final void LIZ(Context context, String str, Bundle bundle) {
        this.LIZ.LIZ(context, str, bundle);
    }

    public final void LIZ(Context context, String str, String str2, Bundle bundle) {
        this.LIZ.LIZ(context, str, str2, bundle);
    }

    public final C0755KGc LIZ(Context context, String str, String str2, int i, int i2) {
        return this.LIZ.LIZ(context, str, str2, i, i2);
    }
}
